package com.aucma.base.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 设备参数对象 base_deviceparam
 *
 * @author Yinq
 * @date 2023-09-19
 */
public class BaseDeviceParam extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键标识
     */
    private Long objId;

    /**
     * 参数编号
     */
    @Excel(name = "参数编号")
    private String paramCode;

    /**
     * 参数名称
     */
    @Excel(name = "参数名称")
    private String paramName;

    /**
     * 网络地址
     */
    @Excel(name = "网络地址")
    private String paramNetwork;

    /**
     * 参数地址
     */
    @Excel(name = "参数地址")
    private String paramAddress;

    /**
     * 参数类型
     */
    @Excel(name = "参数类型")
    private String paramType;

    /**
     * 设备编号
     */
    @Excel(name = "设备编号")
    private String deviceCode;

    /**
     * 读取频率（毫秒）
     */
    @Excel(name = "读取频率", readConverterExp = "毫=秒")
    private Long readFrequency;

    /**
     * 启用标识
     */
    @Excel(name = "启用标识")
    private Long isFlag;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setParamCode(String paramCode) {
        this.paramCode = paramCode;
    }

    public String getParamCode() {
        return paramCode;
    }

    public void setParamName(String paramName) {
        this.paramName = paramName;
    }

    public String getParamName() {
        return paramName;
    }

    public void setParamNetwork(String paramNetwork) {
        this.paramNetwork = paramNetwork;
    }

    public String getParamNetwork() {
        return paramNetwork;
    }

    public void setParamAddress(String paramAddress) {
        this.paramAddress = paramAddress;
    }

    public String getParamAddress() {
        return paramAddress;
    }

    public void setParamType(String paramType) {
        this.paramType = paramType;
    }

    public String getParamType() {
        return paramType;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setReadFrequency(Long readFrequency) {
        this.readFrequency = readFrequency;
    }

    public Long getReadFrequency() {
        return readFrequency;
    }

    public void setIsFlag(Long isFlag) {
        this.isFlag = isFlag;
    }

    public Long getIsFlag() {
        return isFlag;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("paramCode", getParamCode())
                .append("paramName", getParamName())
                .append("paramNetwork", getParamNetwork())
                .append("paramAddress", getParamAddress())
                .append("paramType", getParamType())
                .append("deviceCode", getDeviceCode())
                .append("readFrequency", getReadFrequency())
                .append("isFlag", getIsFlag())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .toString();
    }
}
